/*--------------------------------------------------------------
# General
--------------------------------------------------------------*/
html {
  scroll-behavior: smooth;
}

body {
  font-family: 'Roboto', 'Noto Sans TC', Arial, '微軟正黑體', '新細明體', Helvetica, sans-serif;
  color: #212121;
  font-size: 18px;
}

a {
  color: #004996;
  text-decoration: none;
}

a:hover {
  color: #4180b4;
  text-decoration: none;
}


.btn-main {
  font-weight: 500;
  font-size: 20px;
  letter-spacing: 0.5rem;
  display: block;
  text-align: center;
  max-width: 360px;
  padding: 1rem 4rem;
  margin: 2rem auto 0;
  border-radius: 30px;
  color: #fff;
  position: relative;
  background-size: 200% auto;
  background-image: linear-gradient(to right, #4e148c 0%, #858ae3 50%, #613dc1 100%);
  transition: background-position 0.3s ease-in-out;
}

.btn-main:hover {
  color: #73eedc;
  background-position: right center;
}



/*--------------------------------------------------------------
# to top button
--------------------------------------------------------------*/
.back-to-top {
  position: fixed;
  visibility: hidden;
  opacity: 0;
  right: 0;
  bottom: 0;
  z-index: 996;
  background: #999;
  width: 40px;
  height: 40px;
  border-radius: 10px 0 0 0;
  transition: all 0.4s;
}

.back-to-top i {
  font-size: 28px;
  color: #fff;
  line-height: 0;
}

.back-to-top:hover {
  background: #8E61BE;
  color: #fff;
}

.back-to-top.active {
  visibility: visible;
  opacity: 1;
}



/*--------------------------------------------------------------
# Sections General
--------------------------------------------------------------*/
section {
  padding: 3rem 1rem;
  overflow: hidden;
}

.section-bg {
  position: relative;
  z-index: 1;
  background-color: #efefef;
  background-image: -webkit-linear-gradient(50deg, #ff9505 5%, #efefef 5.1%, #efefef 95%, #ff9505 95.1%);
}

.section-title {
  position: relative;
  color: #212529;
  font-weight: 600;
  font-size: 40px;
  letter-spacing: 0.4rem;
  margin-bottom: 1rem;
  padding: 3rem 0 1rem;
}

.section-title:before {
  background-color: #8E61BE;
  border-radius: 0.25rem;
  content: "";
  display: block;
  height: 0.25rem;
  width: 40px;
  margin-bottom: 1.25rem;
}

.section-title p {
  margin-bottom: 0;
}

.a-link {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  z-index: 1;
}



/*--------------------------------------------------------------
# About
--------------------------------------------------------------*/
.about {
  padding-top: 5rem;
  font-size: 20px;
  line-height: 38px;
  background-color: #ffffff;
}

.about .content p:last-child {
  margin-bottom: 0;
}

/*--------------------------------------------------------------
# speaker
--------------------------------------------------------------*/
.speaker {
  position: relative;
  z-index: 1;
  background-color: #f4f3ee;
}

.spcard {
  position: relative;
  margin-bottom: 20px;
  overflow: hidden;
  text-align: center;
  background-color: #ffffff;
  transition: all 0.3s;
  border-radius: 6px 6px 0 0;
}

.spcard:hover,
.spcard:focus {
  transform: translateY(-2px);
  box-shadow: 0 0 25px rgba(142, 97, 190, 0.4);
}

.spcard:active {
  transform: scale(96%);
}

.spcard a {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  z-index: 1;
}


.spcard-img {
  overflow: hidden;
}

.spcard-info {
  padding: 20px 15px;
}

.spcard-info h4 {
  font-weight: 700;
  margin-bottom: 5px;
  font-size: 22px;
  color: #212121;
}

.spcard-info span {
  display: block;
  font-size: 16px;
  font-weight: 400;
  color: #6c757d;
}

/*--------------------------------------------------------------
# Contact
--------------------------------------------------------------*/
.contact {
  background: linear-gradient(to top, #bcb8f3, #f4f3ee);
}

.contact .info-box {
  color: #444444;
  text-align: center;
  padding: 2rem 1rem;
  background: #fff;
  min-height: 205px;
  border-radius: 10px;
}

.contact .info-box i {
  font-size: 32px;
  color: #ef77a2;
  padding: 8px;
}

.contact .info-box h3 {
  color: #ef77a2;
  font-weight: 700;
  margin: 10px 0 15px;
}

.contact .info-box p {
  padding: 0;
  line-height: 24px;
  margin-bottom: 0;
}



/*--------------------------------------------------------------
# ticket
--------------------------------------------------------------*/
.ticket {
  padding-top: 50px;
  color: #ffffff;
  background: linear-gradient(to bottom, rgba(188, 184, 243, 1) 0%, rgba(43, 65, 115, 0.5) 100%), url("../img/txtbg.jpg") center center no-repeat;
  background-size: cover;
}

.ticket .icon-box {
  position: relative;
  border: 2px solid #ffffff;
  color: #212121;
  background: rgba(255, 255, 255, 0.6);
  backdrop-filter: blur(5px);
  box-shadow: 0 5px 15px rgba(0, 0, 0, 0.4);
  padding: 2rem 1rem;
  text-align: center;
  margin-bottom: 25px;
  border-radius: 6px;
}

.ticket .icon-box:hover {
  border: 2px solid #ef77a2;
  background: rgba(255, 255, 255, 1);

}

.ticket .icon-box:hover .btn-light {
  color: #ffffff;
  background-color: #ef77a2;
}

.ticket .icon-box a {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  z-index: 1;
}


.ticket .icon-box h4 {
  font-size: 1.6rem;
  font-weight: 700;
  letter-spacing: 0.1rem;
}


.ticket .icon-box span {
  font-size: 26px;
  color: #8E61BE;
  font-weight: 500;
}

.ticket .icon-box button {
  border-radius: 20px;
  padding: 5px 20px;
}

/*--------------------------------------------------------------
# rules
--------------------------------------------------------------*/
.rules {
  background-color: #3c096c;
}

.notice-box {
  color: #212121;
  background: #fff;
  border-radius: 8px;
  position: relative;
  overflow: hidden;
  padding: 20px 20px 10px;
  margin: 4rem 0 2rem;
  box-shadow: 0px 2px 15px rgba(0, 0, 0, 0.1);
}

.notice-box h3 {
  text-align: center;
  font-weight: 400;
  margin: -20px -20px 20px -20px;
  padding: 20px 15px;
  color: #ffffff;
  background: #415a77;
}

.notice-box ul {
  list-style: square;
  margin-bottom: 0;
  font-size: 17px;
}

.notice-box ul li {
  padding-bottom: 10px;
}

/*--------------------------------------------------------------
#  partners
--------------------------------------------------------------*/

.partners h4,
.partners h5 {
  text-align: center;
}

.partners h5 {
  color: #8E61BE;
}

.logo-wrap {
  position: relative;
  margin-bottom: 15px;
}

.logo-wrap img {
  width: 100%;
  transition: all 0.2s ease-in-out;
}

.logo-wrap:hover img {
  transform: scale(1.1);
}


/*--------------------------------------------------------------
# terms
--------------------------------------------------------------*/
.terms h3 {
  display: inline-block;
  font-size: 1.5rem;
  color: #5467ab;
  border: 1px solid #5467ab;
  line-height: 1.5;
  padding: 0 10px;
  margin: 2rem 0 0.6rem;
}

.terms p {
  font-size: 17px;
}

.terms ul li,
.terms ol li {
  font-size: 17px;
  margin-bottom: 10px;
}